Add asset

Generates a pre-signed URL for uploading media or attachment content. Used for local file uploads.

Upload Process

  1. Call this endpoint with either:
    • file_name for local file upload
    • asset_url for remote file reference
  2. Receive asset_id and optional upload_url
  3. If upload_url provided, PUT your content to that URL
  4. Use the asset_id with one of:
    • POST /job/add_media for media files
    • POST /job/add_backup_record for backup recordings
    • POST /job/add_notes_attachments for supporting documents

Important Timing Notes

  • Upload URL expires in 24 hours
  • Must use asset within 24 hours of upload
  • Unused uploaded files are automatically deleted

Requirements

  • Must provide either file_name or asset_url
  • Cannot provide both parameters
  • URLs must be GET-accessible
  • Avoid one-time or short-lived URLs
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
required

API version. Current version is 4. Older versions are supported but deprecated.

integer
required

Job ID (as received after calling POST /job/new)

Body Params
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json